<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(isset($_POST['sv'])&&isset($_POST['top'])&&isset($_POST['timestart'])&&isset($_POST['timeend'])){
		// check có event này chưa
		$Check_Code = mysqli_query($conn, "Select * From config_server WHERE ServerID = N'".$_POST['sv']."'");
		if(mysqli_num_rows($Check_Code)){
			switch($_POST['top']){
				case 'Level':
								$check_return = true;
				break;
				
				case 'FightPower':
								$check_return = true;
				break;
				
				default:
								$check_return = false;
				break;
			}
			// PHP program to add 10 days in date 

// Declare a date 
$date = strtotime(date('d-m-Y', strtotime(str_replace('/','-',$_POST['timestart']). ' + 10 days')));
			if($check_return){
				$checktruoc = mysqli_query($conn, "Select * From duatop_setting WHERE Server = '".$_POST['sv']."' and Title = '".$_POST['top']."' and TimerStart >= '".strtotime(str_replace('/','-',$_POST['timestart']))."' and TimerEnd <= '".strtotime(date_format($date, "d-m-Y"))."'");
				if(mysqli_num_rows($checktruoc) >= 1){
				die('Sự kiện này đang còn diễn ra, không thể Thêm tiếp');	
				}
				$layvitri = mysqli_fetch_assoc(mysqli_query($conn, "Select ID From duatop_setting ORDER BY ID DESC Limit 0,1"));
				$layvitri_OK = $layvitri['ID']+1;
				mysqli_query($conn, "INSERT INTO duatop_setting (ID,Server,Title,TimerStart,TimerEnd) VALUES ('".$layvitri_OK."','".$_POST['sv']."','".$_POST['top']."','".strtotime(str_replace('/','-',$_POST['timestart']))."','".$date."')");
				mysqli_query($conn, "INSERT INTO duatop_vitri (IDTOP,ViTri_A,ViTri_B,PhanThuong) VALUES ('".$layvitri_OK."','1','1','210160,1')");
				mysqli_query($conn, "INSERT INTO duatop_vitri (IDTOP,ViTri_A,ViTri_B,PhanThuong) VALUES ('".$layvitri_OK."','2','2','210161,1')");
				mysqli_query($conn, "INSERT INTO duatop_vitri (IDTOP,ViTri_A,ViTri_B,PhanThuong) VALUES ('".$layvitri_OK."','3','3','210162,1')");
				mysqli_query($conn, "INSERT INTO duatop_vitri (IDTOP,ViTri_A,ViTri_B,PhanThuong) VALUES ('".$layvitri_OK."','4','10','210163,1')");
				mysqli_query($conn, "INSERT INTO duatop_vitri (IDTOP,ViTri_A,ViTri_B,PhanThuong) VALUES ('".$layvitri_OK."','11','100','210164,1')");
				die('0');
			} else {
				die('Loại TOP này chưa được Phát triển.');
			}
		} else {
			die('Máy Chủ không Tồn Tại');
		}
} else {
 $return['code'] = 1;
 $return['text'] = 'Vui lòng nhập đầy đủ theo yêu cầu.';
}

		echo json_encode($return);
		exit();	
}
?>